## pg-ivm 1.13

=== Makefile ===
# contrib/pg_ivm/Makefile

PG_CONFIG ?= pg_config

MODULE_big = pg_ivm
OBJS = \
	$(WIN32RES) \
	createas.o \
	matview.o \
	pg_ivm.o \
	ruleutils.o \
	subselect.o
PGFILEDESC = "pg_ivm - incremental view maintenance on PostgreSQL"

EXTENSION = pg_ivm
DATA = pg_ivm--1.0.sql \
       pg_ivm--1.0--1.1.sql pg_ivm--1.1--1.2.sql pg_ivm--1.2--1.3.sql \
       pg_ivm--1.3--1.4.sql pg_ivm--1.4--1.5.sql pg_ivm--1.5--1.6.sql \
       pg_ivm--1.6--1.7.sql pg_ivm--1.7--1.8.sql pg_ivm--1.8--1.9.sql \
       pg_ivm--1.9--1.10.sql \
       pg_ivm--1.10.sql \
       pg_ivm--1.10--1.11.sql pg_ivm--1.11--1.12.sql pg_ivm--1.12--1.13.sql

REGRESS = pg_ivm create_immv refresh_immv outer_join

PGVER = $(shell $(PG_CONFIG) --version | sed "s/^[^ ]* \([0-9]*\).*$$/\1/" 2>/dev/null)

# We assume PG13 is the only version that is supported by pg_ivm but
# missing pg_isolation_regress.

ifneq ($(PGVER),13)
ISOLATION = create_insert  refresh_insert  insert_insert \
            create_insert2 refresh_insert2 insert_insert2 \
            create_insert3 refresh_insert3 insert_insert3
ISOLATION_OPTS = --load-extension=pg_ivm
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-ivm (1.13-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Dec 2025 19:27:44 +0100

=== debian/control ===
Source: pg-ivm
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Michael Banck <mbanck@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://github.com/sraoss/pg_ivm
Vcs-Browser: https://salsa.debian.org/postgresql/pg-ivm
Vcs-Git: https://salsa.debian.org/postgresql/pg-ivm.git

Package: postgresql-18-pg-ivm
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Incremental View Maintenance (IVM) extension for PostgreSQL
 pg_ivm is a PostgreSQL extension for Incremental View Maintenance (IVM). IVM
 is a way to make materialized views up-to-date in which only incremental
 changes are computed and applied on views rather than recomputing the contents
 from scratch as `REFRESH MATERIALIZED VIEW` does. IVM can update materialized
 views more efficiently than recomputation when only small parts of the view
 are changed.

=== debian/tests/control ===
Depends: @, postgresql-common-dev
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
  https://github.com/sraoss/pg_ivm/tags .*/v(.*).tar.gz
